HaruPage::lineTo
HaruPage::moveTextPos
HaruPage
PHP Manual

# HaruPage::measureText

Calculate the number of characters which can be included within the specified width

### Description

int HaruPage::measureText ( string `$text` , float `$width` [, bool `$wordwrap` = false ] )

Get the number of characters which can be included within the specified width.

### Parameters

`text`

  The text to measure.

`width`

  The width of the area to put the text to.

`wordwrap`

  When this parameter is set to `TRUE` the function "emulates" word wrapping and doesn't include the part of the current word if reached the end of the area.

### Return Values

Returns the number of characters which can be included within the specified width.

### Errors/Exceptions

Throws a HaruException on error.

### See Also

- HaruFont::measureText